Gecode::Int::PLB Class Reference

Class for defining basic propagation level. More...

`#include <task.hh>`

## Static Public Attributes

static const bool | basic = true
| Perform basic propagation.
static const bool | advanced = false
| Do not perform advanced propagation.
static const PropCond | pc = PC_INT_DOM
| For basic propagation, domain operations are needed.

## Detailed Description

Class for defining basic propagation level.

Definition at line 450 of file task.hh.

## Member Data Documentation

## basic

const bool Gecode::Int::PLB::basic = true

static

Perform basic propagation.

Definition at line 453 of file task.hh.

## advanced

const bool Gecode::Int::PLB::advanced = false

static

Do not perform advanced propagation.

Definition at line 455 of file task.hh.

## pc

const PropCond Gecode::Int::PLB::pc = PC_INT_DOM

static

For basic propagation, domain operations are needed.

Definition at line 457 of file task.hh.

The documentation for this class was generated from the following file:

- gecode/int/task.hh